> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List scheduled workbook exports (Paginated)

GET https://api.sigmacomputing.com/v2.1/workbooks/{workbookId}/schedules


  **Attention:** This API endpoint uses pagination by default.

  This endpoint retrieves a list of all scheduled exports for a specified workbook. These schedules represent planned events that can trigger exports based on various conditions and timings.
  ### Usage Notes
  - The **workbookId** in the path parameter identifies the workbook whose scheduled exports are to be listed. Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
  - Use pagination query parameters to manage the volume of data returned by this endpoint.

  ### Usage Scenarios
  - **Schedule Overview:** Administrators or users with appropriate permissions can monitor and review all active scheduled exports associated with a workbook.
  - **Audit and Compliance:** This functionality is useful for auditing purposes to ensure that all scheduled operations are configured correctly and comply with organizational policies.

  ### Best Practices
  - Implement client-side handling to manage paginated data effectively, especially in cases where a workbook has a large number of scheduled exports.
  - Regularly audit schedules to keep them up-to-date and aligned with the current needs and workflows.

Reference: https://help.sigmacomputing.com/reference/v-2-1-list-workbook-schedules

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2.1/workbooks/{workbookId}/schedules:
    get:
      operationId: v2_1_listWorkbookSchedules
      summary: List scheduled workbook exports (Paginated)
      description: |2-

          **Attention:** This API endpoint uses pagination by default.

          This endpoint retrieves a list of all scheduled exports for a specified workbook. These schedules represent planned events that can trigger exports based on various conditions and timings.
          ### Usage Notes
          - The **workbookId** in the path parameter identifies the workbook whose scheduled exports are to be listed. Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
          - Use pagination query parameters to manage the volume of data returned by this endpoint.

          ### Usage Scenarios
          - **Schedule Overview:** Administrators or users with appropriate permissions can monitor and review all active scheduled exports associated with a workbook.
          - **Audit and Compliance:** This functionality is useful for auditing purposes to ensure that all scheduled operations are configured correctly and comply with organizational policies.

          ### Best Practices
          - Implement client-side handling to manage paginated data effectively, especially in cases where a workbook has a large number of scheduled exports.
          - Regularly audit schedules to keep them up-to-date and aligned with the current needs and workflows.
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workbooks_v2_1_listWorkbookSchedules_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule:
      type: object
      properties:
        cronSpec:
          type: string
          description: >-
            A [cron expression](https://en.wikipedia.org/wiki/Cron). For
            example, `0 0 * * *`.
        timezone:
          type: string
          description: >-
            An [IANA timezone
            name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones).
            For example, `America/Los_Angeles`.
      required:
        - cronSpec
        - timezone
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type:
      type: string
      enum:
        - CSV
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type:
      type: string
      enum:
        - JSON
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type:
      type: string
      enum:
        - JSONL
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type:
      type: string
      enum:
        - EXCEL
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Type:
      type: string
      enum:
        - PDF
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Layout:
      type: string
      enum:
        - portrait
        - landscape
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Layout
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Type
        layout:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Layout
        scaleFactor:
          type: number
          format: double
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf5Type:
      type: string
      enum:
        - PNG
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf5Type
        pixelWidth:
          type:
            - number
            - 'null'
          format: double
        pixelHeight:
          type:
            - number
            - 'null'
          format: double
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf6Type:
      type: string
      enum:
        - NONE
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptionsOneOf6Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions4
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions5
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions6
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf0Type:
      type: string
      enum:
        - element
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf0Type
        elementId:
          type: string
      required:
        - type
        - elementId
      description: Export one element
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf1Type:
      type: string
      enum:
        - page
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf1Type
        pageId:
          type: string
      required:
        - type
        - pageId
      description: Export one page
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf2Type:
      type: string
      enum:
        - element
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf2Type
        nodeIds:
          type: array
          items:
            type: string
      required:
        - type
        - nodeIds
      description: Export multiple elements
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf3Type:
      type: string
      enum:
        - page
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf3Type
        nodeIds:
          type: array
          items:
            type: string
      required:
        - type
        - nodeIds
      description: Export multiple pages
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf4Type:
      type: string
      enum:
        - all
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSourceOneOf4Type
      required:
        - type
      description: Export all pages and elements in a workbook
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource4
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItems:
      type: object
      properties:
        formatOptions:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions
        chartId:
          type: string
        workbookExportSource:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource
      required:
        - formatOptions
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItems
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AttachmentSettings:
      type: object
      properties:
        mergePdfAttachments:
          type: boolean
        zipAttachments:
          type: boolean
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AttachmentSettings
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf0Type:
      type: string
      enum:
        - always
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1Type:
      type: string
      enum:
        - workbook
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf0Type:
      type: string
      enum:
        - isEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf0Type
        sheetId:
          type: string
      required:
        - type
        - sheetId
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf1Type:
      type: string
      enum:
        - isNotEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf1Type
        sheetId:
          type: string
      required:
        - type
        - sheetId
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Type:
      type: string
      enum:
        - sheetColumn
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode0:
      type: string
      enum:
        - any
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode1:
      type: string
      enum:
        - all
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode1
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Op:
      type: string
      enum:
        - Equals
        - GreaterThan
        - GreaterThanEq
        - LessThan
        - LessThanEq
        - NotEquals
        - IsNotNull
        - IsNull
        - Contains
        - StartsWith
        - EndsWith
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Op
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf0Type:
      type: string
      enum:
        - 'null'
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf1Type:
      type: string
      enum:
        - bool
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf1Type
        val:
          type: boolean
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf2Type:
      type: string
      enum:
        - number
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf2Type
        val:
          type: number
          format: double
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf3Type:
      type: string
      enum:
        - integer
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf3Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf4Type:
      type: string
      enum:
        - string
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf4Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf5Type:
      type: string
      enum:
        - datetime
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf5Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf6Type:
      type: string
      enum:
        - error
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf6Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf7Type:
      type: string
      enum:
        - record
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf7Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf7Type
        val:
          type: object
          additionalProperties:
            description: Any type
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Type:
      type: string
      enum:
        - array
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type:
      type: string
      enum:
        - boolArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
        data:
          type: array
          items:
            type:
              - boolean
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type:
      type: string
      enum:
        - numberArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
        data:
          type: array
          items:
            type:
              - number
              - 'null'
            format: double
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type:
      type: string
      enum:
        - bigintArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type:
      type: string
      enum:
        - stringArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type:
      type: string
      enum:
        - datetimeArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type
        data:
          type: array
          items:
            type:
              - number
              - 'null'
            format: double
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type:
      type: string
      enum:
        - bytesArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type:
      type: string
      enum:
        - variantArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Type
        val:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf9Type:
      type: string
      enum:
        - variant
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf9Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf9Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Type
        sheetId:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode
        columnId:
          type: string
        op:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Op
        value:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value
      required:
        - type
        - sheetId
        - mode
        - columnId
        - op
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems2
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1Type
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems
      required:
        - type
        - conditions
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2Type:
      type: string
      enum:
        - worksheet
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf0Type:
      type: string
      enum:
        - isEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf1Type:
      type: string
      enum:
        - isNotEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf1Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Type:
      type: string
      enum:
        - queryColumn
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode0:
      type: string
      enum:
        - any
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode1:
      type: string
      enum:
        - all
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode1
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Op:
      type: string
      enum:
        - Equals
        - GreaterThan
        - GreaterThanEq
        - LessThan
        - LessThanEq
        - NotEquals
        - IsNotNull
        - IsNull
        - Contains
        - StartsWith
        - EndsWith
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Op
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf0Type:
      type: string
      enum:
        - 'null'
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf1Type:
      type: string
      enum:
        - bool
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf1Type
        val:
          type: boolean
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf2Type:
      type: string
      enum:
        - number
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf2Type
        val:
          type: number
          format: double
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf3Type:
      type: string
      enum:
        - integer
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf3Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf4Type:
      type: string
      enum:
        - string
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf4Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf5Type:
      type: string
      enum:
        - datetime
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf5Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf6Type:
      type: string
      enum:
        - error
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf6Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf7Type:
      type: string
      enum:
        - record
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf7Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf7Type
        val:
          type: object
          additionalProperties:
            description: Any type
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Type:
      type: string
      enum:
        - array
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type:
      type: string
      enum:
        - boolArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
        data:
          type: array
          items:
            type:
              - boolean
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type:
      type: string
      enum:
        - numberArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
        data:
          type: array
          items:
            type:
              - number
              - 'null'
            format: double
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type:
      type: string
      enum:
        - bigintArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type:
      type: string
      enum:
        - stringArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf3Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type:
      type: string
      enum:
        - datetimeArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf4Type
        data:
          type: array
          items:
            type:
              - number
              - 'null'
            format: double
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type:
      type: string
      enum:
        - bytesArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf5Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type:
      type: string
      enum:
        - variantArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8ValOneOf6Type
        data:
          type: array
          items:
            type:
              - string
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Type
        val:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf9Type:
      type: string
      enum:
        - variant
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf9Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf9Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Type
        mode:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode
        columnId:
          type: string
        op:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Op
        value:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value
      required:
        - type
        - mode
        - columnId
        - op
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems1
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems2
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2Type
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems
      required:
        - type
        - conditions
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3Type:
      type: string
      enum:
        - dashboard
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf0Type:
      type: string
      enum:
        - isEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf0Type
        tileId:
          type: string
      required:
        - type
        - tileId
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf1Type:
      type: string
      enum:
        - isNotEmpty
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf1Type
        tileId:
          type: string
      required:
        - type
        - tileId
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Type:
      type: string
      enum:
        - chartColumn
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode0:
      type: string
      enum:
        - any
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode1:
      type: string
      enum:
        - all
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode:
      oneOf:
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode0
        - $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode1
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Op:
      type: string
      enum:
        - Equals
        - GreaterThan
        - GreaterThanEq
        - LessThan
        - LessThanEq
        - NotEquals
        - IsNotNull
        - IsNull
        - Contains
        - StartsWith
        - EndsWith
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Op
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf0Type:
      type: string
      enum:
        - 'null'
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf0Type
      required:
        - type
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf1Type:
      type: string
      enum:
        - bool
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf1Type
        val:
          type: boolean
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf2Type:
      type: string
      enum:
        - number
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf2Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf2Type
        val:
          type: number
          format: double
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf3Type:
      type: string
      enum:
        - integer
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf3Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf3Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf4Type:
      type: string
      enum:
        - string
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf4Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf4Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf5Type:
      type: string
      enum:
        - datetime
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf5Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf5Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf6Type:
      type: string
      enum:
        - error
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf6Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf6Type
        val:
          type: string
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf7Type:
      type: string
      enum:
        - record
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf7Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf7Type
        val:
          type: object
          additionalProperties:
            description: Any type
      required:
        - type
        - val
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Type:
      type: string
      enum:
        - array
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type:
      type: string
      enum:
        - boolArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf0Type
        data:
          type: array
          items:
            type:
              - boolean
              - 'null'
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type:
      type: string
      enum:
        - numberArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf1Type
        data:
          type: array
          items:
            type:
              - number
              - 'null'
            format: double
      required:
        - type
        - data
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1
    V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type:
      type: string
      enum:
        - bigintArr
      title: >-
        V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8ValOneOf2Type
[...]
